Hello. I use Intel i5-3230 on my laptop. After rescent update to Mesa 21.0.2 i have got some problems with games. Wine started give me

Code:
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  0 ()
  Serial number of failed request:  220
  Current serial number in output stream:  220
Games in steam works with really low fps if I use proton or native then freeze after 10 seconds. I reverted to Mesa 20.3.5 and it works just fine. But I cant update my system because some packages require mesa 21 for example kwin. Is it problem with Mesa or my processor just do not support new version of Opengl from Mesa 21? This is my glxinfo -B
Code:
name of display: :0 
display: :0  screen: 0 
direct rendering: Yes 
Extended renderer info (GLX_MESA_query_renderer): 
    Vendor: Intel Open Source Technology Center (0x8086) 
    Device: Mesa DRI Intel(R) HD Graphics 4000 (IVB GT2) (0x166) 
    Version: 20.3.5 
    Accelerated: yes 
    Video memory: 1536MB 
    Unified memory: yes 
    Preferred profile: core (0x1) 
    Max core profile version: 4.2 
    Max compat profile version: 3.0 
    Max GLES1 profile version: 1.1 
    Max GLES[23] profile version: 3.0 
OpenGL vendor string: Intel Open Source Technology Center 
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 4000 (IVB GT2) 
OpenGL core profile version string: 4.2 (Core Profile) Mesa 20.3.5 
OpenGL core profile shading language version string: 4.20 
OpenGL core profile context flags: (none) 
OpenGL core profile profile mask: core profile 

OpenGL version string: 3.0 Mesa 20.3.5 
OpenGL shading language version string: 1.30 
OpenGL context flags: (none) 

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 20.3.5 
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
As I understand my processor supports only opengl 4.2?

Any way how to fix this problem? Should I wait for new versions of Mesa or my System is just too old for it and I must stay at 20.3.5 Mesa?